BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.HR.ProfileDiscipline Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.HR.ProfileDiscipline:

## Properties
string? | Level`[get, set]`
string? | Detail`[get, set]`
string? | RefCommandNo`[get, set]`
DateTime? | RefCommandDate`[get, set]`
DateTime? | Date`[get, set]`
virtual List< ProfileDisciplineHistory > | ProfileDisciplineHistorys = new List<ProfileDisciplineHistory>()`[get, set]`
virtual ? Profile | Profile`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ Date

DateTime? BMA.EHR.Domain.Models.HR.ProfileDiscipline.Date
| get set

## ◆ Detail

string? BMA.EHR.Domain.Models.HR.ProfileDiscipline.Detail
| get set

## ◆ Level

string? BMA.EHR.Domain.Models.HR.ProfileDiscipline.Level
| get set

## ◆ Profile

virtual ? Profile BMA.EHR.Domain.Models.HR.ProfileDiscipline.Profile
| get set

## ◆ ProfileDisciplineHistorys

virtual List<ProfileDisciplineHistory> BMA.EHR.Domain.Models.HR.ProfileDiscipline.ProfileDisciplineHistorys = new List<ProfileDisciplineHistory>()
| get set

## ◆ RefCommandDate

DateTime? BMA.EHR.Domain.Models.HR.ProfileDiscipline.RefCommandDate
| get set

## ◆ RefCommandNo

string? BMA.EHR.Domain.Models.HR.ProfileDiscipline.RefCommandNo
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/HR/ProfileDiscipline.cs